'''
Nepal-Stock-Monitor

A python script that gets the stock information as per the company symbol
provided by the user from https://merolagani.com/LatestMarket.aspx. This
script supports for the stock information of Nepal only.

By ghanteyyy https://github.com/ghanteyyy
MIT License

Usage:
    - If you want GUI window then Run NepalStockMonitor.py directly

    - To get data of respective company only

        from NepalStockMonitor import monitor

        data = monitor('Company Symbol', show_gui=False)  # Returns stock information of the given company symbol
        print(data.details)  # Printing the stock information from above returned data'''


__all__ = ['monitor']
__version__ = '0.3'
__author__ = 'ghanteyyy'


from . import NepalStockMonitor


def monitor(company_symbol, show_gui):
    '''company_symbol must be the abbrevation of company name
            Eg: Green Venture Limited        => GVL
                Chandragiri Hills Limited    => CGH

        show_gui must be either True or False
            when True it shows the GUI window
    '''

    nsm = NepalStockMonitor.StockMonitor(company_symbol, show_gui)

    if nsm:
        return nsm
